def BubbleSort(x):
#----------------------------------------------------------------------------
#  Ascending sort of x
#----------------------------------------------------------------------------
   ipass = 0                                        # initialize pass counter
   swap = 1                              # initialize swap flag to enter loop
   while (swap):                           # perform passes while swaps occur
      ipass += 1                                      # increase pass counter
      swap = 0                                         # initialize swap flag
      for i in range(0,len(x)-ipass):              # loop over unsorted sublists
         if (x[i] > x[i+1]):                              # compare neighbors
            xi = x[i]
            x[i] = x[i+1]
            x[i+1] = xi            # swap neighbors
            swap = 1                                          # set swap flag

# main

x = [30., 60., 50., 20., 10., 40.]                   # array to be sorted

print("Original array:")
print(x)

BubbleSort(x)

print("Sorted array:")
print(x)