def InsertSort(x):
#----------------------------------------------------------------------------
#  Ascending sort array x
#----------------------------------------------------------------------------
   for ipiv in range(1,len(x)):                             # loop over pivots
      xpiv = x[ipiv]                        # save pivot to free its location
      i = ipiv - 1                               # initialize sublist counter
      while ((i >= 0) and (x[i] > xpiv)):          # scan to the left of pivot
         x[i+1] = x[i]                     # item > pivot: shift to the right
         i -= 1

      x[i+1] = xpiv                   # insert pivot into last freed location

x = [30., 60., 50., 20., 10., 40.]                   # array to be sorted

print("Original array:")
print(x)

InsertSort(x)

print("Sorted array:")
print(x)